@import url(https://use.typekit.net/vin2dio.css);
.stock-notification-container {
  display: none;
}
.stock-notification-container .stock-notification-btn {
  border-radius: 7px;
  width: 100%;
  font-size: 12px;
  padding: 7px 15px;
  margin-bottom: 10px;
}

#stockNotificationModal .modal-dialog {
  min-height: 50%;
  height: -webkit-max-content;
  height: -moz-max-content;
  height: max-content;
  bottom: 0;
  margin: 0;
  width: 50%;
  max-width: 100%;
  border-radius: 5px;
  top: 50%;
  right: 50%;
  -webkit-transform: translate(50%, -50%);
          transform: translate(50%, -50%);
  position: absolute;
  background: #ffffff;
}
#stockNotificationModal .modal-dialog .modal-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
}
#stockNotificationModal .modal-dialog .modal-header .modal-title {
  width: 95%;
  text-align: center;
}
#stockNotificationModal .modal-dialog .modal-header .modal-title p {
  font-size: 24px;
  font-weight: 600;
  text-align: center;
}
#stockNotificationModal .modal-dialog .modal-header .control-modal-buttons {
  width: 5%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
}
#stockNotificationModal .modal-dialog .modal-header .close {
  background: none;
}
#stockNotificationModal .modal-dialog .modal-body {
  padding: 10px 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 95%;
}
#stockNotificationModal .modal-dialog .modal-body p {
  font-size: 16px;
  padding: 0;
}
#stockNotificationModal .modal-dialog .modal-body input {
  font-size: 20px;
  height: 54px;
  width: 100%;
  margin: 10px 0;
  color: #909193;
  border-radius: 7px;
}
#stockNotificationModal .modal-dialog .modal-footer {
  padding: 0 20px 20px 20px;
  width: 95%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
#stockNotificationModal .modal-dialog .modal-footer .register-notification {
  width: 30%;
  border-radius: 7px;
  font-size: 20px;
  font-weight: 400;
  height: 44px;
  background: #2B2B2B;
  color: #F5F5F5;
}
#stockNotificationModal .modal-dialog .modal-footer .register-notification:hover {
  color: #F5F5F5;
  text-decoration: none;
  background: #4E8B9B;
  opacity: 1;
}
#stockNotificationModal .modal-dialog .modal-footer .notification-response {
  margin-top: 10px;
}
#stockNotificationModal .modal-dialog .modal-footer .notification-response span {
  color: #00A30D;
  padding-bottom: 10px;
}
#stockNotificationModal .modal-dialog .modal-footer .notification-response span.error {
  color: #B6254B;
}
@media (max-width: 991.98px) {
  #stockNotificationModal .modal-dialog {
    width: 100%;
    height: 50vh;
    bottom: 0;
    right: 0;
    -webkit-transform: none;
            transform: none;
  }
  #stockNotificationModal .modal-dialog .modal-header .modal-title p {
    font-size: 20px;
  }
  #stockNotificationModal .modal-dialog .modal-footer .register-notification {
    width: 50%;
  }
}
